"Fossies" - the Fresh Open Source Software Archive

Member "gparted-1.3.1/tests/Makefile.in" (19 Jul 2021, 43819 Bytes) of package /linux/misc/gparted-1.3.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.3.0_vs_1.3.1.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = { \
   18   if test -z '$(MAKELEVEL)'; then \
   19     false; \
   20   elif test -n '$(MAKE_HOST)'; then \
   21     true; \
   22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   23     true; \
   24   else \
   25     false; \
   26   fi; \
   27 }
   28 am__make_running_with_option = \
   29   case $${target_option-} in \
   30       ?) ;; \
   31       *) echo "am__make_running_with_option: internal error: invalid" \
   32               "target option '$${target_option-}' specified" >&2; \
   33          exit 1;; \
   34   esac; \
   35   has_opt=no; \
   36   sane_makeflags=$$MAKEFLAGS; \
   37   if $(am__is_gnu_make); then \
   38     sane_makeflags=$$MFLAGS; \
   39   else \
   40     case $$MAKEFLAGS in \
   41       *\\[\ \	]*) \
   42         bs=\\; \
   43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   45     esac; \
   46   fi; \
   47   skip_next=no; \
   48   strip_trailopt () \
   49   { \
   50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   51   }; \
   52   for flg in $$sane_makeflags; do \
   53     test $$skip_next = yes && { skip_next=no; continue; }; \
   54     case $$flg in \
   55       *=*|--*) continue;; \
   56         -*I) strip_trailopt 'I'; skip_next=yes;; \
   57       -*I?*) strip_trailopt 'I';; \
   58         -*O) strip_trailopt 'O'; skip_next=yes;; \
   59       -*O?*) strip_trailopt 'O';; \
   60         -*l) strip_trailopt 'l'; skip_next=yes;; \
   61       -*l?*) strip_trailopt 'l';; \
   62       -[dEDm]) skip_next=yes;; \
   63       -[JT]) skip_next=yes;; \
   64     esac; \
   65     case $$flg in \
   66       *$$target_option*) has_opt=yes; break;; \
   67     esac; \
   68   done; \
   69   test $$has_opt = yes
   70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   72 pkgdatadir = $(datadir)/@PACKAGE@
   73 pkgincludedir = $(includedir)/@PACKAGE@
   74 pkglibdir = $(libdir)/@PACKAGE@
   75 pkglibexecdir = $(libexecdir)/@PACKAGE@
   76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   77 install_sh_DATA = $(install_sh) -c -m 644
   78 install_sh_PROGRAM = $(install_sh) -c
   79 install_sh_SCRIPT = $(install_sh) -c
   80 INSTALL_HEADER = $(INSTALL_DATA)
   81 transform = $(program_transform_name)
   82 NORMAL_INSTALL = :
   83 PRE_INSTALL = :
   84 POST_INSTALL = :
   85 NORMAL_UNINSTALL = :
   86 PRE_UNINSTALL = :
   87 POST_UNINSTALL = :
   88 build_triplet = @build@
   89 host_triplet = @host@
   90 check_PROGRAMS = test_dummy$(EXEEXT) test_BlockSpecial$(EXEEXT) \
   91 	test_PasswordRAMStore$(EXEEXT) test_PipeCapture$(EXEEXT) \
   92 	test_SupportedFileSystems$(EXEEXT)
   93 subdir = tests
   94 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   95 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
   96 	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
   97 	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/libtool.m4 \
   98 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
   99 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  100 	$(top_srcdir)/configure.ac
  101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  102 	$(ACLOCAL_M4)
  103 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  104 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  105 CONFIG_HEADER = $(top_builddir)/config.h
  106 CONFIG_CLEAN_FILES =
  107 CONFIG_CLEAN_VPATH_FILES =
  108 am_test_BlockSpecial_OBJECTS = test_BlockSpecial.$(OBJEXT)
  109 test_BlockSpecial_OBJECTS = $(am_test_BlockSpecial_OBJECTS)
  110 am__DEPENDENCIES_1 =
  111 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) \
  112 	$(top_builddir)/lib/gtest/lib/libgtest_main.la \
  113 	$(top_builddir)/lib/gtest/lib/libgtest.la
  114 test_BlockSpecial_DEPENDENCIES =  \
  115 	$(top_builddir)/src/BlockSpecial.$(OBJEXT) \
  116 	$(am__DEPENDENCIES_2)
  117 AM_V_lt = $(am__v_lt_@AM_V@)
  118 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  119 am__v_lt_0 = --silent
  120 am__v_lt_1 = 
  121 am_test_PasswordRAMStore_OBJECTS = test_PasswordRAMStore.$(OBJEXT)
  122 test_PasswordRAMStore_OBJECTS = $(am_test_PasswordRAMStore_OBJECTS)
  123 test_PasswordRAMStore_DEPENDENCIES =  \
  124 	$(top_builddir)/src/PasswordRAMStore.$(OBJEXT) \
  125 	$(am__DEPENDENCIES_2)
  126 am_test_PipeCapture_OBJECTS = test_PipeCapture.$(OBJEXT)
  127 test_PipeCapture_OBJECTS = $(am_test_PipeCapture_OBJECTS)
  128 test_PipeCapture_DEPENDENCIES =  \
  129 	$(top_builddir)/src/PipeCapture.$(OBJEXT) \
  130 	$(am__DEPENDENCIES_2)
  131 am_test_SupportedFileSystems_OBJECTS =  \
  132 	test_SupportedFileSystems.$(OBJEXT)
  133 test_SupportedFileSystems_OBJECTS =  \
  134 	$(am_test_SupportedFileSystems_OBJECTS)
  135 test_SupportedFileSystems_DEPENDENCIES =  \
  136 	$(top_builddir)/src/BlockSpecial.$(OBJEXT) \
  137 	$(top_builddir)/src/CopyBlocks.$(OBJEXT) \
  138 	$(top_builddir)/src/DMRaid.$(OBJEXT) \
  139 	$(top_builddir)/src/Device.$(OBJEXT) \
  140 	$(top_builddir)/src/FS_Info.$(OBJEXT) \
  141 	$(top_builddir)/src/FileSystem.$(OBJEXT) \
  142 	$(top_builddir)/src/GParted_Core.$(OBJEXT) \
  143 	$(top_builddir)/src/LUKS_Info.$(OBJEXT) \
  144 	$(top_builddir)/src/LVM2_PV_Info.$(OBJEXT) \
  145 	$(top_builddir)/src/Mount_Info.$(OBJEXT) \
  146 	$(top_builddir)/src/Operation.$(OBJEXT) \
  147 	$(top_builddir)/src/OperationCopy.$(OBJEXT) \
  148 	$(top_builddir)/src/OperationDetail.$(OBJEXT) \
  149 	$(top_builddir)/src/Partition.$(OBJEXT) \
  150 	$(top_builddir)/src/PartitionLUKS.$(OBJEXT) \
  151 	$(top_builddir)/src/PartitionVector.$(OBJEXT) \
  152 	$(top_builddir)/src/PasswordRAMStore.$(OBJEXT) \
  153 	$(top_builddir)/src/PipeCapture.$(OBJEXT) \
  154 	$(top_builddir)/src/Proc_Partitions_Info.$(OBJEXT) \
  155 	$(top_builddir)/src/ProgressBar.$(OBJEXT) \
  156 	$(top_builddir)/src/SupportedFileSystems.$(OBJEXT) \
  157 	$(top_builddir)/src/SWRaid_Info.$(OBJEXT) \
  158 	$(top_builddir)/src/Utils.$(OBJEXT) \
  159 	$(top_builddir)/src/btrfs.$(OBJEXT) \
  160 	$(top_builddir)/src/exfat.$(OBJEXT) \
  161 	$(top_builddir)/src/ext2.$(OBJEXT) \
  162 	$(top_builddir)/src/f2fs.$(OBJEXT) \
  163 	$(top_builddir)/src/fat16.$(OBJEXT) \
  164 	$(top_builddir)/src/hfs.$(OBJEXT) \
  165 	$(top_builddir)/src/hfsplus.$(OBJEXT) \
  166 	$(top_builddir)/src/jfs.$(OBJEXT) \
  167 	$(top_builddir)/src/linux_swap.$(OBJEXT) \
  168 	$(top_builddir)/src/luks.$(OBJEXT) \
  169 	$(top_builddir)/src/lvm2_pv.$(OBJEXT) \
  170 	$(top_builddir)/src/minix.$(OBJEXT) \
  171 	$(top_builddir)/src/nilfs2.$(OBJEXT) \
  172 	$(top_builddir)/src/ntfs.$(OBJEXT) \
  173 	$(top_builddir)/src/reiser4.$(OBJEXT) \
  174 	$(top_builddir)/src/reiserfs.$(OBJEXT) \
  175 	$(top_builddir)/src/udf.$(OBJEXT) \
  176 	$(top_builddir)/src/xfs.$(OBJEXT) $(am__DEPENDENCIES_1) \
  177 	$(top_builddir)/lib/gtest/lib/libgtest.la
  178 am_test_dummy_OBJECTS = test_dummy.$(OBJEXT)
  179 test_dummy_OBJECTS = $(am_test_dummy_OBJECTS)
  180 test_dummy_LDADD = $(LDADD)
  181 test_dummy_DEPENDENCIES = $(am__DEPENDENCIES_1) \
  182 	$(top_builddir)/lib/gtest/lib/libgtest_main.la \
  183 	$(top_builddir)/lib/gtest/lib/libgtest.la
  184 AM_V_P = $(am__v_P_@AM_V@)
  185 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  186 am__v_P_0 = false
  187 am__v_P_1 = :
  188 AM_V_GEN = $(am__v_GEN_@AM_V@)
  189 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  190 am__v_GEN_0 = @echo "  GEN     " $@;
  191 am__v_GEN_1 = 
  192 AM_V_at = $(am__v_at_@AM_V@)
  193 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  194 am__v_at_0 = @
  195 am__v_at_1 = 
  196 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  197 depcomp = $(SHELL) $(top_srcdir)/depcomp
  198 am__maybe_remake_depfiles = depfiles
  199 am__depfiles_remade = ./$(DEPDIR)/test_BlockSpecial.Po \
  200 	./$(DEPDIR)/test_PasswordRAMStore.Po \
  201 	./$(DEPDIR)/test_PipeCapture.Po \
  202 	./$(DEPDIR)/test_SupportedFileSystems.Po \
  203 	./$(DEPDIR)/test_dummy.Po
  204 am__mv = mv -f
  205 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  206 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  207 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  208 	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  209 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  210 	$(AM_CXXFLAGS) $(CXXFLAGS)
  211 AM_V_CXX = $(am__v_CXX_@AM_V@)
  212 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  213 am__v_CXX_0 = @echo "  CXX     " $@;
  214 am__v_CXX_1 = 
  215 CXXLD = $(CXX)
  216 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  217 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  218 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  219 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  220 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  221 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
  222 am__v_CXXLD_1 = 
  223 SOURCES = $(test_BlockSpecial_SOURCES) \
  224 	$(test_PasswordRAMStore_SOURCES) $(test_PipeCapture_SOURCES) \
  225 	$(test_SupportedFileSystems_SOURCES) $(test_dummy_SOURCES)
  226 DIST_SOURCES = $(test_BlockSpecial_SOURCES) \
  227 	$(test_PasswordRAMStore_SOURCES) $(test_PipeCapture_SOURCES) \
  228 	$(test_SupportedFileSystems_SOURCES) $(test_dummy_SOURCES)
  229 am__can_run_installinfo = \
  230   case $$AM_UPDATE_INFO_DIR in \
  231     n|no|NO) false;; \
  232     *) (install-info --version) >/dev/null 2>&1;; \
  233   esac
  234 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  235 # Read a list of newline-separated strings from the standard input,
  236 # and print each of them once, without duplicates.  Input order is
  237 # *not* preserved.
  238 am__uniquify_input = $(AWK) '\
  239   BEGIN { nonempty = 0; } \
  240   { items[$$0] = 1; nonempty = 1; } \
  241   END { if (nonempty) { for (i in items) print i; }; } \
  242 '
  243 # Make sure the list of sources is unique.  This is necessary because,
  244 # e.g., the same source file might be shared among _SOURCES variables
  245 # for different programs/libraries.
  246 am__define_uniq_tagged_files = \
  247   list='$(am__tagged_files)'; \
  248   unique=`for i in $$list; do \
  249     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  250   done | $(am__uniquify_input)`
  251 ETAGS = etags
  252 CTAGS = ctags
  253 am__tty_colors_dummy = \
  254   mgn= red= grn= lgn= blu= brg= std=; \
  255   am__color_tests=no
  256 am__tty_colors = { \
  257   $(am__tty_colors_dummy); \
  258   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  259     am__color_tests=no; \
  260   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  261     am__color_tests=yes; \
  262   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  263     am__color_tests=yes; \
  264   fi; \
  265   if test $$am__color_tests = yes; then \
  266     red=''; \
  267     grn=''; \
  268     lgn=''; \
  269     blu=''; \
  270     mgn=''; \
  271     brg=''; \
  272     std=''; \
  273   fi; \
  274 }
  275 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  276 am__vpath_adj = case $$p in \
  277     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  278     *) f=$$p;; \
  279   esac;
  280 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  281 am__install_max = 40
  282 am__nobase_strip_setup = \
  283   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  284 am__nobase_strip = \
  285   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  286 am__nobase_list = $(am__nobase_strip_setup); \
  287   for p in $$list; do echo "$$p $$p"; done | \
  288   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  289   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  290     if (++n[$$2] == $(am__install_max)) \
  291       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  292     END { for (dir in files) print dir, files[dir] }'
  293 am__base_list = \
  294   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  295   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  296 am__uninstall_files_from_dir = { \
  297   test -z "$$files" \
  298     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  299     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  300          $(am__cd) "$$dir" && rm -f $$files; }; \
  301   }
  302 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  303 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  304 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  305 # A command that, given a newline-separated list of test names on the
  306 # standard input, print the name of the tests that are to be re-run
  307 # upon "make recheck".
  308 am__list_recheck_tests = $(AWK) '{ \
  309   recheck = 1; \
  310   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  311     { \
  312       if (rc < 0) \
  313         { \
  314           if ((getline line2 < ($$0 ".log")) < 0) \
  315 	    recheck = 0; \
  316           break; \
  317         } \
  318       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  319         { \
  320           recheck = 0; \
  321           break; \
  322         } \
  323       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  324         { \
  325           break; \
  326         } \
  327     }; \
  328   if (recheck) \
  329     print $$0; \
  330   close ($$0 ".trs"); \
  331   close ($$0 ".log"); \
  332 }'
  333 # A command that, given a newline-separated list of test names on the
  334 # standard input, create the global log from their .trs and .log files.
  335 am__create_global_log = $(AWK) ' \
  336 function fatal(msg) \
  337 { \
  338   print "fatal: making $@: " msg | "cat >&2"; \
  339   exit 1; \
  340 } \
  341 function rst_section(header) \
  342 { \
  343   print header; \
  344   len = length(header); \
  345   for (i = 1; i <= len; i = i + 1) \
  346     printf "="; \
  347   printf "\n\n"; \
  348 } \
  349 { \
  350   copy_in_global_log = 1; \
  351   global_test_result = "RUN"; \
  352   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  353     { \
  354       if (rc < 0) \
  355          fatal("failed to read from " $$0 ".trs"); \
  356       if (line ~ /$(am__global_test_result_rx)/) \
  357         { \
  358           sub("$(am__global_test_result_rx)", "", line); \
  359           sub("[ 	]*$$", "", line); \
  360           global_test_result = line; \
  361         } \
  362       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  363         copy_in_global_log = 0; \
  364     }; \
  365   if (copy_in_global_log) \
  366     { \
  367       rst_section(global_test_result ": " $$0); \
  368       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  369       { \
  370         if (rc < 0) \
  371           fatal("failed to read from " $$0 ".log"); \
  372         print line; \
  373       }; \
  374       printf "\n"; \
  375     }; \
  376   close ($$0 ".trs"); \
  377   close ($$0 ".log"); \
  378 }'
  379 # Restructured Text title.
  380 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  381 # Solaris 10 'make', and several other traditional 'make' implementations,
  382 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  383 # by disabling -e (using the XSI extension "set +e") if it's set.
  384 am__sh_e_setup = case $$- in *e*) set +e;; esac
  385 # Default flags passed to test drivers.
  386 am__common_driver_flags = \
  387   --color-tests "$$am__color_tests" \
  388   --enable-hard-errors "$$am__enable_hard_errors" \
  389   --expect-failure "$$am__expect_failure"
  390 # To be inserted before the command running the test.  Creates the
  391 # directory for the log if needed.  Stores in $dir the directory
  392 # containing $f, in $tst the test, in $log the log.  Executes the
  393 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  394 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  395 # will run the test scripts (or their associated LOG_COMPILER, if
  396 # thy have one).
  397 am__check_pre = \
  398 $(am__sh_e_setup);					\
  399 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  400 $(am__tty_colors);					\
  401 srcdir=$(srcdir); export srcdir;			\
  402 case "$@" in						\
  403   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  404     *) am__odir=.;; 					\
  405 esac;							\
  406 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  407   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  408 if test -f "./$$f"; then dir=./;			\
  409 elif test -f "$$f"; then dir=;				\
  410 else dir="$(srcdir)/"; fi;				\
  411 tst=$$dir$$f; log='$@'; 				\
  412 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  413   am__enable_hard_errors=no; 				\
  414 else							\
  415   am__enable_hard_errors=yes; 				\
  416 fi; 							\
  417 case " $(XFAIL_TESTS) " in				\
  418   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  419     am__expect_failure=yes;;				\
  420   *)							\
  421     am__expect_failure=no;;				\
  422 esac; 							\
  423 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  424 # A shell command to get the names of the tests scripts with any registered
  425 # extension removed (i.e., equivalently, the names of the test logs, with
  426 # the '.log' extension removed).  The result is saved in the shell variable
  427 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  428 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  429 # since that might cause problem with VPATH rewrites for suffix-less tests.
  430 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  431 am__set_TESTS_bases = \
  432   bases='$(TEST_LOGS)'; \
  433   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  434   bases=`echo $$bases`
  435 RECHECK_LOGS = $(TEST_LOGS)
  436 AM_RECURSIVE_TARGETS = check recheck
  437 TEST_SUITE_LOG = test-suite.log
  438 TEST_EXTENSIONS = @EXEEXT@ .test
  439 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  440 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  441 am__set_b = \
  442   case '$@' in \
  443     */*) \
  444       case '$*' in \
  445         */*) b='$*';; \
  446           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  447        esac;; \
  448     *) \
  449       b='$*';; \
  450   esac
  451 am__test_logs1 = $(TESTS:=.log)
  452 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  453 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  454 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  455 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  456 	$(TEST_LOG_FLAGS)
  457 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
  458 	$(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver
  459 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  460 ACLOCAL = @ACLOCAL@
  461 ALL_LINGUAS = @ALL_LINGUAS@
  462 AMTAR = @AMTAR@
  463 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  464 AR = @AR@
  465 AUTOCONF = @AUTOCONF@
  466 AUTOHEADER = @AUTOHEADER@
  467 AUTOMAKE = @AUTOMAKE@
  468 AWK = @AWK@
  469 CATALOGS = @CATALOGS@
  470 CATOBJEXT = @CATOBJEXT@
  471 CC = @CC@
  472 CCDEPMODE = @CCDEPMODE@
  473 CFLAGS = @CFLAGS@
  474 CPP = @CPP@
  475 CPPFLAGS = @CPPFLAGS@
  476 CXX = @CXX@
  477 CXXCPP = @CXXCPP@
  478 CXXDEPMODE = @CXXDEPMODE@
  479 CXXFLAGS = @CXXFLAGS@
  480 CYGPATH_W = @CYGPATH_W@
  481 DATADIRNAME = @DATADIRNAME@
  482 DEFS = @DEFS@
  483 DEPDIR = @DEPDIR@
  484 DLLTOOL = @DLLTOOL@
  485 DSYMUTIL = @DSYMUTIL@
  486 DUMPBIN = @DUMPBIN@
  487 ECHO_C = @ECHO_C@
  488 ECHO_N = @ECHO_N@
  489 ECHO_T = @ECHO_T@
  490 EGREP = @EGREP@
  491 ENABLE_XHOST_ROOT = @ENABLE_XHOST_ROOT@
  492 EXEEXT = @EXEEXT@
  493 FGREP = @FGREP@
  494 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
  495 GKSUPROG = @GKSUPROG@
  496 GLIBMM_CFLAGS = @GLIBMM_CFLAGS@
  497 GLIBMM_LIBS = @GLIBMM_LIBS@
  498 GMOFILES = @GMOFILES@
  499 GMSGFMT = @GMSGFMT@
  500 GREP = @GREP@
  501 GTEST_CPPFLAGS = @GTEST_CPPFLAGS@
  502 GTEST_CXXFLAGS = @GTEST_CXXFLAGS@
  503 GTEST_LDFLAGS = @GTEST_LDFLAGS@
  504 GTEST_LIBS = @GTEST_LIBS@
  505 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
  506 GTHREAD_LIBS = @GTHREAD_LIBS@
  507 GTKMM_CFLAGS = @GTKMM_CFLAGS@
  508 GTKMM_LIBS = @GTKMM_LIBS@
  509 HAVE_CXX11 = @HAVE_CXX11@
  510 HELP_DIR = @HELP_DIR@
  511 INSTALL = @INSTALL@
  512 INSTALL_DATA = @INSTALL_DATA@
  513 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  514 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  515 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  516 INSTOBJEXT = @INSTOBJEXT@
  517 INTLLIBS = @INTLLIBS@
  518 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
  519 INTLTOOL_MERGE = @INTLTOOL_MERGE@
  520 INTLTOOL_PERL = @INTLTOOL_PERL@
  521 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  522 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
  523 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
  524 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
  525 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
  526 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  527 ITSTOOL = @ITSTOOL@
  528 LD = @LD@
  529 LDFLAGS = @LDFLAGS@
  530 LIBOBJS = @LIBOBJS@
  531 LIBS = @LIBS@
  532 LIBTOOL = @LIBTOOL@
  533 LIPO = @LIPO@
  534 LN_S = @LN_S@
  535 LTLIBOBJS = @LTLIBOBJS@
  536 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  537 MAINT = @MAINT@
  538 MAKEINFO = @MAKEINFO@
  539 MANIFEST_TOOL = @MANIFEST_TOOL@
  540 MKDIR_P = @MKDIR_P@
  541 MKINSTALLDIRS = @MKINSTALLDIRS@
  542 MSGFMT = @MSGFMT@
  543 MSGFMT_OPTS = @MSGFMT_OPTS@
  544 MSGMERGE = @MSGMERGE@
  545 NM = @NM@
  546 NMEDIT = @NMEDIT@
  547 OBJDUMP = @OBJDUMP@
  548 OBJEXT = @OBJEXT@
  549 OTOOL = @OTOOL@
  550 OTOOL64 = @OTOOL64@
  551 PACKAGE = @PACKAGE@
  552 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  553 PACKAGE_NAME = @PACKAGE_NAME@
  554 PACKAGE_STRING = @PACKAGE_STRING@
  555 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  556 PACKAGE_URL = @PACKAGE_URL@
  557 PACKAGE_VERSION = @PACKAGE_VERSION@
  558 PATH_SEPARATOR = @PATH_SEPARATOR@
  559 PKG_CONFIG = @PKG_CONFIG@
  560 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  561 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  562 POFILES = @POFILES@
  563 POSUB = @POSUB@
  564 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
  565 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
  566 RANLIB = @RANLIB@
  567 SED = @SED@
  568 SET_MAKE = @SET_MAKE@
  569 SHELL = @SHELL@
  570 STRIP = @STRIP@
  571 USE_NLS = @USE_NLS@
  572 VERSION = @VERSION@
  573 XGETTEXT = @XGETTEXT@
  574 XMLLINT = @XMLLINT@
  575 YELP_LC_DIST = @YELP_LC_DIST@
  576 YELP_LC_MEDIA_LINKS = @YELP_LC_MEDIA_LINKS@
  577 abs_builddir = @abs_builddir@
  578 abs_srcdir = @abs_srcdir@
  579 abs_top_builddir = @abs_top_builddir@
  580 abs_top_srcdir = @abs_top_srcdir@
  581 ac_ct_AR = @ac_ct_AR@
  582 ac_ct_CC = @ac_ct_CC@
  583 ac_ct_CXX = @ac_ct_CXX@
  584 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  585 am__include = @am__include@
  586 am__leading_dot = @am__leading_dot@
  587 am__quote = @am__quote@
  588 am__tar = @am__tar@
  589 am__untar = @am__untar@
  590 bindir = @bindir@
  591 build = @build@
  592 build_alias = @build_alias@
  593 build_cpu = @build_cpu@
  594 build_os = @build_os@
  595 build_vendor = @build_vendor@
  596 builddir = @builddir@
  597 datadir = @datadir@
  598 datarootdir = @datarootdir@
  599 docdir = @docdir@
  600 dvidir = @dvidir@
  601 exec_prefix = @exec_prefix@
  602 host = @host@
  603 host_alias = @host_alias@
  604 host_cpu = @host_cpu@
  605 host_os = @host_os@
  606 host_vendor = @host_vendor@
  607 htmldir = @htmldir@
  608 includedir = @includedir@
  609 infodir = @infodir@
  610 install_sh = @install_sh@
  611 intltool__v_merge_options_ = @intltool__v_merge_options_@
  612 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
  613 libdir = @libdir@
  614 libexecdir = @libexecdir@
  615 localedir = @localedir@
  616 localstatedir = @localstatedir@
  617 mandir = @mandir@
  618 mkdir_p = @mkdir_p@
  619 oldincludedir = @oldincludedir@
  620 pdfdir = @pdfdir@
  621 prefix = @prefix@
  622 program_transform_name = @program_transform_name@
  623 psdir = @psdir@
  624 runstatedir = @runstatedir@
  625 sbindir = @sbindir@
  626 sharedstatedir = @sharedstatedir@
  627 srcdir = @srcdir@
  628 sysconfdir = @sysconfdir@
  629 target_alias = @target_alias@
  630 top_build_prefix = @top_build_prefix@
  631 top_builddir = @top_builddir@
  632 top_srcdir = @top_srcdir@
  633 AM_CPPFLAGS = \
  634 	-I$(top_srcdir)/include            \
  635 	-I$(top_srcdir)/lib/gtest/include  \
  636 	$(GTEST_CPPFLAGS)
  637 
  638 AM_CXXFLAGS = -Wall $(GTEST_CXXFLAGS)
  639 AM_LDFLAGS = $(GTEST_LDFLAGS)
  640 LDADD = \
  641 	$(GTEST_LIBS)                                   \
  642 	$(top_builddir)/lib/gtest/lib/libgtest_main.la  \
  643 	$(top_builddir)/lib/gtest/lib/libgtest.la
  644 
  645 
  646 # Test cases to be run by "make check"
  647 TESTS = $(check_PROGRAMS)
  648 test_dummy_SOURCES = test_dummy.cc
  649 test_SupportedFileSystems_SOURCES = test_SupportedFileSystems.cc
  650 test_SupportedFileSystems_LDADD = \
  651 	$(top_builddir)/src/BlockSpecial.$(OBJEXT)          \
  652 	$(top_builddir)/src/CopyBlocks.$(OBJEXT)            \
  653 	$(top_builddir)/src/DMRaid.$(OBJEXT)                \
  654 	$(top_builddir)/src/Device.$(OBJEXT)                \
  655 	$(top_builddir)/src/FS_Info.$(OBJEXT)               \
  656 	$(top_builddir)/src/FileSystem.$(OBJEXT)            \
  657 	$(top_builddir)/src/GParted_Core.$(OBJEXT)          \
  658 	$(top_builddir)/src/LUKS_Info.$(OBJEXT)             \
  659 	$(top_builddir)/src/LVM2_PV_Info.$(OBJEXT)          \
  660 	$(top_builddir)/src/Mount_Info.$(OBJEXT)            \
  661 	$(top_builddir)/src/Operation.$(OBJEXT)             \
  662 	$(top_builddir)/src/OperationCopy.$(OBJEXT)         \
  663 	$(top_builddir)/src/OperationDetail.$(OBJEXT)       \
  664 	$(top_builddir)/src/Partition.$(OBJEXT)             \
  665 	$(top_builddir)/src/PartitionLUKS.$(OBJEXT)         \
  666 	$(top_builddir)/src/PartitionVector.$(OBJEXT)       \
  667 	$(top_builddir)/src/PasswordRAMStore.$(OBJEXT)      \
  668 	$(top_builddir)/src/PipeCapture.$(OBJEXT)           \
  669 	$(top_builddir)/src/Proc_Partitions_Info.$(OBJEXT)  \
  670 	$(top_builddir)/src/ProgressBar.$(OBJEXT)           \
  671 	$(top_builddir)/src/SupportedFileSystems.$(OBJEXT)  \
  672 	$(top_builddir)/src/SWRaid_Info.$(OBJEXT)           \
  673 	$(top_builddir)/src/Utils.$(OBJEXT)                 \
  674 	$(top_builddir)/src/btrfs.$(OBJEXT)                 \
  675 	$(top_builddir)/src/exfat.$(OBJEXT)                 \
  676 	$(top_builddir)/src/ext2.$(OBJEXT)                  \
  677 	$(top_builddir)/src/f2fs.$(OBJEXT)                  \
  678 	$(top_builddir)/src/fat16.$(OBJEXT)                 \
  679 	$(top_builddir)/src/hfs.$(OBJEXT)                   \
  680 	$(top_builddir)/src/hfsplus.$(OBJEXT)               \
  681 	$(top_builddir)/src/jfs.$(OBJEXT)                   \
  682 	$(top_builddir)/src/linux_swap.$(OBJEXT)            \
  683 	$(top_builddir)/src/luks.$(OBJEXT)                  \
  684 	$(top_builddir)/src/lvm2_pv.$(OBJEXT)               \
  685 	$(top_builddir)/src/minix.$(OBJEXT)                 \
  686 	$(top_builddir)/src/nilfs2.$(OBJEXT)                \
  687 	$(top_builddir)/src/ntfs.$(OBJEXT)                  \
  688 	$(top_builddir)/src/reiser4.$(OBJEXT)               \
  689 	$(top_builddir)/src/reiserfs.$(OBJEXT)              \
  690 	$(top_builddir)/src/udf.$(OBJEXT)                   \
  691 	$(top_builddir)/src/xfs.$(OBJEXT)                   \
  692 	$(GTEST_LIBS)                                       \
  693 	$(top_builddir)/lib/gtest/lib/libgtest.la
  694 
  695 test_BlockSpecial_SOURCES = test_BlockSpecial.cc
  696 test_BlockSpecial_LDADD = \
  697 	$(top_builddir)/src/BlockSpecial.$(OBJEXT)  \
  698 	$(LDADD)
  699 
  700 test_PasswordRAMStore_SOURCES = test_PasswordRAMStore.cc
  701 test_PasswordRAMStore_LDADD = \
  702 	$(top_builddir)/src/PasswordRAMStore.$(OBJEXT)  \
  703 	$(LDADD)
  704 
  705 test_PipeCapture_SOURCES = test_PipeCapture.cc
  706 test_PipeCapture_LDADD = \
  707 	$(top_builddir)/src/PipeCapture.$(OBJEXT)  \
  708 	$(LDADD)
  709 
  710 all: all-am
  711 
  712 .SUFFIXES:
  713 .SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
  714 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  715 	@for dep in $?; do \
  716 	  case '$(am__configure_deps)' in \
  717 	    *$$dep*) \
  718 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  719 	        && { if test -f $@; then exit 0; else break; fi; }; \
  720 	      exit 1;; \
  721 	  esac; \
  722 	done; \
  723 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
  724 	$(am__cd) $(top_srcdir) && \
  725 	  $(AUTOMAKE) --gnu tests/Makefile
  726 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  727 	@case '$?' in \
  728 	  *config.status*) \
  729 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  730 	  *) \
  731 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  732 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  733 	esac;
  734 
  735 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  736 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  737 
  738 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  739 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  740 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  741 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  742 $(am__aclocal_m4_deps):
  743 
  744 clean-checkPROGRAMS:
  745 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  746 	echo " rm -f" $$list; \
  747 	rm -f $$list || exit $$?; \
  748 	test -n "$(EXEEXT)" || exit 0; \
  749 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  750 	echo " rm -f" $$list; \
  751 	rm -f $$list
  752 
  753 test_BlockSpecial$(EXEEXT): $(test_BlockSpecial_OBJECTS) $(test_BlockSpecial_DEPENDENCIES) $(EXTRA_test_BlockSpecial_DEPENDENCIES) 
  754 	@rm -f test_BlockSpecial$(EXEEXT)
  755 	$(AM_V_CXXLD)$(CXXLINK) $(test_BlockSpecial_OBJECTS) $(test_BlockSpecial_LDADD) $(LIBS)
  756 
  757 test_PasswordRAMStore$(EXEEXT): $(test_PasswordRAMStore_OBJECTS) $(test_PasswordRAMStore_DEPENDENCIES) $(EXTRA_test_PasswordRAMStore_DEPENDENCIES) 
  758 	@rm -f test_PasswordRAMStore$(EXEEXT)
  759 	$(AM_V_CXXLD)$(CXXLINK) $(test_PasswordRAMStore_OBJECTS) $(test_PasswordRAMStore_LDADD) $(LIBS)
  760 
  761 test_PipeCapture$(EXEEXT): $(test_PipeCapture_OBJECTS) $(test_PipeCapture_DEPENDENCIES) $(EXTRA_test_PipeCapture_DEPENDENCIES) 
  762 	@rm -f test_PipeCapture$(EXEEXT)
  763 	$(AM_V_CXXLD)$(CXXLINK) $(test_PipeCapture_OBJECTS) $(test_PipeCapture_LDADD) $(LIBS)
  764 
  765 test_SupportedFileSystems$(EXEEXT): $(test_SupportedFileSystems_OBJECTS) $(test_SupportedFileSystems_DEPENDENCIES) $(EXTRA_test_SupportedFileSystems_DEPENDENCIES) 
  766 	@rm -f test_SupportedFileSystems$(EXEEXT)
  767 	$(AM_V_CXXLD)$(CXXLINK) $(test_SupportedFileSystems_OBJECTS) $(test_SupportedFileSystems_LDADD) $(LIBS)
  768 
  769 test_dummy$(EXEEXT): $(test_dummy_OBJECTS) $(test_dummy_DEPENDENCIES) $(EXTRA_test_dummy_DEPENDENCIES) 
  770 	@rm -f test_dummy$(EXEEXT)
  771 	$(AM_V_CXXLD)$(CXXLINK) $(test_dummy_OBJECTS) $(test_dummy_LDADD) $(LIBS)
  772 
  773 mostlyclean-compile:
  774 	-rm -f *.$(OBJEXT)
  775 
  776 distclean-compile:
  777 	-rm -f *.tab.c
  778 
  779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_BlockSpecial.Po@am__quote@ # am--include-marker
  780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_PasswordRAMStore.Po@am__quote@ # am--include-marker
  781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_PipeCapture.Po@am__quote@ # am--include-marker
  782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_SupportedFileSystems.Po@am__quote@ # am--include-marker
  783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dummy.Po@am__quote@ # am--include-marker
  784 
  785 $(am__depfiles_remade):
  786 	@$(MKDIR_P) $(@D)
  787 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
  788 
  789 am--depfiles: $(am__depfiles_remade)
  790 
  791 .cc.o:
  792 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  793 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  794 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  796 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  797 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  798 
  799 .cc.obj:
  800 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  801 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  802 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  803 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  804 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  805 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  806 
  807 .cc.lo:
  808 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  809 @am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  810 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
  811 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  812 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  813 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  814 
  815 mostlyclean-libtool:
  816 	-rm -f *.lo
  817 
  818 clean-libtool:
  819 	-rm -rf .libs _libs
  820 
  821 ID: $(am__tagged_files)
  822 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  823 tags: tags-am
  824 TAGS: tags
  825 
  826 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  827 	set x; \
  828 	here=`pwd`; \
  829 	$(am__define_uniq_tagged_files); \
  830 	shift; \
  831 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  832 	  test -n "$$unique" || unique=$$empty_fix; \
  833 	  if test $$# -gt 0; then \
  834 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  835 	      "$$@" $$unique; \
  836 	  else \
  837 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  838 	      $$unique; \
  839 	  fi; \
  840 	fi
  841 ctags: ctags-am
  842 
  843 CTAGS: ctags
  844 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  845 	$(am__define_uniq_tagged_files); \
  846 	test -z "$(CTAGS_ARGS)$$unique" \
  847 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  848 	     $$unique
  849 
  850 GTAGS:
  851 	here=`$(am__cd) $(top_builddir) && pwd` \
  852 	  && $(am__cd) $(top_srcdir) \
  853 	  && gtags -i $(GTAGS_ARGS) "$$here"
  854 cscopelist: cscopelist-am
  855 
  856 cscopelist-am: $(am__tagged_files)
  857 	list='$(am__tagged_files)'; \
  858 	case "$(srcdir)" in \
  859 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  860 	  *) sdir=$(subdir)/$(srcdir) ;; \
  861 	esac; \
  862 	for i in $$list; do \
  863 	  if test -f "$$i"; then \
  864 	    echo "$(subdir)/$$i"; \
  865 	  else \
  866 	    echo "$$sdir/$$i"; \
  867 	  fi; \
  868 	done >> $(top_builddir)/cscope.files
  869 
  870 distclean-tags:
  871 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  872 
  873 # Recover from deleted '.trs' file; this should ensure that
  874 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  875 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  876 # to avoid problems with "make -n".
  877 .log.trs:
  878 	rm -f $< $@
  879 	$(MAKE) $(AM_MAKEFLAGS) $<
  880 
  881 # Leading 'am--fnord' is there to ensure the list of targets does not
  882 # expand to empty, as could happen e.g. with make check TESTS=''.
  883 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  884 am--force-recheck:
  885 	@:
  886 
  887 $(TEST_SUITE_LOG): $(TEST_LOGS)
  888 	@$(am__set_TESTS_bases); \
  889 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  890 	redo_bases=`for i in $$bases; do \
  891 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  892 	            done`; \
  893 	if test -n "$$redo_bases"; then \
  894 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  895 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  896 	  if $(am__make_dryrun); then :; else \
  897 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  898 	  fi; \
  899 	fi; \
  900 	if test -n "$$am__remaking_logs"; then \
  901 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  902 	       "recursion detected" >&2; \
  903 	elif test -n "$$redo_logs"; then \
  904 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  905 	fi; \
  906 	if $(am__make_dryrun); then :; else \
  907 	  st=0;  \
  908 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  909 	  for i in $$redo_bases; do \
  910 	    test -f $$i.trs && test -r $$i.trs \
  911 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  912 	    test -f $$i.log && test -r $$i.log \
  913 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  914 	  done; \
  915 	  test $$st -eq 0 || exit 1; \
  916 	fi
  917 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  918 	ws='[ 	]'; \
  919 	results=`for b in $$bases; do echo $$b.trs; done`; \
  920 	test -n "$$results" || results=/dev/null; \
  921 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  922 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  923 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  924 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  925 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  926 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  927 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  928 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  929 	  success=true; \
  930 	else \
  931 	  success=false; \
  932 	fi; \
  933 	br='==================='; br=$$br$$br$$br$$br; \
  934 	result_count () \
  935 	{ \
  936 	    if test x"$$1" = x"--maybe-color"; then \
  937 	      maybe_colorize=yes; \
  938 	    elif test x"$$1" = x"--no-color"; then \
  939 	      maybe_colorize=no; \
  940 	    else \
  941 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  942 	    fi; \
  943 	    shift; \
  944 	    desc=$$1 count=$$2; \
  945 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  946 	      color_start=$$3 color_end=$$std; \
  947 	    else \
  948 	      color_start= color_end=; \
  949 	    fi; \
  950 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  951 	}; \
  952 	create_testsuite_report () \
  953 	{ \
  954 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  955 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  956 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  957 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  958 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  959 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  960 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  961 	}; \
  962 	{								\
  963 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  964 	    $(am__rst_title);						\
  965 	  create_testsuite_report --no-color;				\
  966 	  echo;								\
  967 	  echo ".. contents:: :depth: 2";				\
  968 	  echo;								\
  969 	  for b in $$bases; do echo $$b; done				\
  970 	    | $(am__create_global_log);					\
  971 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  972 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  973 	if $$success; then						\
  974 	  col="$$grn";							\
  975 	 else								\
  976 	  col="$$red";							\
  977 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  978 	fi;								\
  979 	echo "$${col}$$br$${std}"; 					\
  980 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  981 	echo "$${col}$$br$${std}"; 					\
  982 	create_testsuite_report --maybe-color;				\
  983 	echo "$$col$$br$$std";						\
  984 	if $$success; then :; else					\
  985 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  986 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  987 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  988 	  fi;								\
  989 	  echo "$$col$$br$$std";					\
  990 	fi;								\
  991 	$$success || exit 1
  992 
  993 check-TESTS: $(check_PROGRAMS)
  994 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  995 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  996 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  997 	@set +e; $(am__set_TESTS_bases); \
  998 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  999 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
 1000 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
 1001 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
 1002 	exit $$?;
 1003 recheck: all $(check_PROGRAMS)
 1004 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1005 	@set +e; $(am__set_TESTS_bases); \
 1006 	bases=`for i in $$bases; do echo $$i; done \
 1007 	         | $(am__list_recheck_tests)` || exit 1; \
 1008 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1009 	log_list=`echo $$log_list`; \
 1010 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
 1011 	        am__force_recheck=am--force-recheck \
 1012 	        TEST_LOGS="$$log_list"; \
 1013 	exit $$?
 1014 test_dummy.log: test_dummy$(EXEEXT)
 1015 	@p='test_dummy$(EXEEXT)'; \
 1016 	b='test_dummy'; \
 1017 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1018 	--log-file $$b.log --trs-file $$b.trs \
 1019 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1020 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1021 test_BlockSpecial.log: test_BlockSpecial$(EXEEXT)
 1022 	@p='test_BlockSpecial$(EXEEXT)'; \
 1023 	b='test_BlockSpecial'; \
 1024 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1025 	--log-file $$b.log --trs-file $$b.trs \
 1026 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1027 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1028 test_PasswordRAMStore.log: test_PasswordRAMStore$(EXEEXT)
 1029 	@p='test_PasswordRAMStore$(EXEEXT)'; \
 1030 	b='test_PasswordRAMStore'; \
 1031 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1032 	--log-file $$b.log --trs-file $$b.trs \
 1033 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1034 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1035 test_PipeCapture.log: test_PipeCapture$(EXEEXT)
 1036 	@p='test_PipeCapture$(EXEEXT)'; \
 1037 	b='test_PipeCapture'; \
 1038 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1039 	--log-file $$b.log --trs-file $$b.trs \
 1040 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1041 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1042 test_SupportedFileSystems.log: test_SupportedFileSystems$(EXEEXT)
 1043 	@p='test_SupportedFileSystems$(EXEEXT)'; \
 1044 	b='test_SupportedFileSystems'; \
 1045 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1046 	--log-file $$b.log --trs-file $$b.trs \
 1047 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1048 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1049 .test.log:
 1050 	@p='$<'; \
 1051 	$(am__set_b); \
 1052 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1053 	--log-file $$b.log --trs-file $$b.trs \
 1054 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1055 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1056 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1057 @am__EXEEXT_TRUE@	@p='$<'; \
 1058 @am__EXEEXT_TRUE@	$(am__set_b); \
 1059 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1060 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1061 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1062 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1063 
 1064 distdir: $(BUILT_SOURCES)
 1065 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 1066 
 1067 distdir-am: $(DISTFILES)
 1068 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1069 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1070 	list='$(DISTFILES)'; \
 1071 	  dist_files=`for file in $$list; do echo $$file; done | \
 1072 	  sed -e "s|^$$srcdirstrip/||;t" \
 1073 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1074 	case $$dist_files in \
 1075 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1076 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1077 			   sort -u` ;; \
 1078 	esac; \
 1079 	for file in $$dist_files; do \
 1080 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1081 	  if test -d $$d/$$file; then \
 1082 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1083 	    if test -d "$(distdir)/$$file"; then \
 1084 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1085 	    fi; \
 1086 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1087 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1088 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1089 	    fi; \
 1090 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1091 	  else \
 1092 	    test -f "$(distdir)/$$file" \
 1093 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1094 	    || exit 1; \
 1095 	  fi; \
 1096 	done
 1097 check-am: all-am
 1098 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
 1099 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1100 check: check-am
 1101 all-am: Makefile
 1102 installdirs:
 1103 install: install-am
 1104 install-exec: install-exec-am
 1105 install-data: install-data-am
 1106 uninstall: uninstall-am
 1107 
 1108 install-am: all-am
 1109 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1110 
 1111 installcheck: installcheck-am
 1112 install-strip:
 1113 	if test -z '$(STRIP)'; then \
 1114 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1115 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1116 	      install; \
 1117 	else \
 1118 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1119 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1120 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1121 	fi
 1122 mostlyclean-generic:
 1123 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1124 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1125 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1126 
 1127 clean-generic:
 1128 
 1129 distclean-generic:
 1130 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1131 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1132 
 1133 maintainer-clean-generic:
 1134 	@echo "This command is intended for maintainers to use"
 1135 	@echo "it deletes files that may require special tools to rebuild."
 1136 clean: clean-am
 1137 
 1138 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
 1139 	mostlyclean-am
 1140 
 1141 distclean: distclean-am
 1142 		-rm -f ./$(DEPDIR)/test_BlockSpecial.Po
 1143 	-rm -f ./$(DEPDIR)/test_PasswordRAMStore.Po
 1144 	-rm -f ./$(DEPDIR)/test_PipeCapture.Po
 1145 	-rm -f ./$(DEPDIR)/test_SupportedFileSystems.Po
 1146 	-rm -f ./$(DEPDIR)/test_dummy.Po
 1147 	-rm -f Makefile
 1148 distclean-am: clean-am distclean-compile distclean-generic \
 1149 	distclean-tags
 1150 
 1151 dvi: dvi-am
 1152 
 1153 dvi-am:
 1154 
 1155 html: html-am
 1156 
 1157 html-am:
 1158 
 1159 info: info-am
 1160 
 1161 info-am:
 1162 
 1163 install-data-am:
 1164 
 1165 install-dvi: install-dvi-am
 1166 
 1167 install-dvi-am:
 1168 
 1169 install-exec-am:
 1170 
 1171 install-html: install-html-am
 1172 
 1173 install-html-am:
 1174 
 1175 install-info: install-info-am
 1176 
 1177 install-info-am:
 1178 
 1179 install-man:
 1180 
 1181 install-pdf: install-pdf-am
 1182 
 1183 install-pdf-am:
 1184 
 1185 install-ps: install-ps-am
 1186 
 1187 install-ps-am:
 1188 
 1189 installcheck-am:
 1190 
 1191 maintainer-clean: maintainer-clean-am
 1192 		-rm -f ./$(DEPDIR)/test_BlockSpecial.Po
 1193 	-rm -f ./$(DEPDIR)/test_PasswordRAMStore.Po
 1194 	-rm -f ./$(DEPDIR)/test_PipeCapture.Po
 1195 	-rm -f ./$(DEPDIR)/test_SupportedFileSystems.Po
 1196 	-rm -f ./$(DEPDIR)/test_dummy.Po
 1197 	-rm -f Makefile
 1198 maintainer-clean-am: distclean-am maintainer-clean-generic
 1199 
 1200 mostlyclean: mostlyclean-am
 1201 
 1202 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1203 	mostlyclean-libtool
 1204 
 1205 pdf: pdf-am
 1206 
 1207 pdf-am:
 1208 
 1209 ps: ps-am
 1210 
 1211 ps-am:
 1212 
 1213 uninstall-am:
 1214 
 1215 .MAKE: check-am install-am install-strip
 1216 
 1217 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
 1218 	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
 1219 	cscopelist-am ctags ctags-am distclean distclean-compile \
 1220 	distclean-generic distclean-libtool distclean-tags distdir dvi \
 1221 	dvi-am html html-am info info-am install install-am \
 1222 	install-data install-data-am install-dvi install-dvi-am \
 1223 	install-exec install-exec-am install-html install-html-am \
 1224 	install-info install-info-am install-man install-pdf \
 1225 	install-pdf-am install-ps install-ps-am install-strip \
 1226 	installcheck installcheck-am installdirs maintainer-clean \
 1227 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 1228 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1229 	recheck tags tags-am uninstall uninstall-am
 1230 
 1231 .PRECIOUS: Makefile
 1232 
 1233 
 1234 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1235 # Otherwise a system limit (for SysV at least) may be exceeded.
 1236 .NOEXPORT: